Subject: Re: bug#36183: 26.1; prettify-symbols-mode high CPU usage in Windows 10

From: Eli Zaretskii <[email-masked]>
Date: Sat, 15 Jun 2019 11:34:59 +0300

> From: Eduardo Duenez <[email-masked]>
> Date: Wed, 12 Jun 2019 17:52:23 +0000
> 
> "M-x prettify-symbols-mode" on a .tex buffer (AUCTeX major mode)
> correctly prettifies symbols (Greek letters, math symbols, etc.)
> However, any subsequent editing of the buffer becomes de facto
> impossible because starting to type, moving, etc., results on 100%
> usage of the CPU core emacs is running on for 1-3 seconds. If I
> switch to another buffer or disable prettify-symbols-mode, CPU usage
> eventually drops down to a typical 2%-4% during regular editing.

Can you please send a sample file where you see this behavior?

Also, do you need to use AUCTeX for this to happen, or does it happen
even without AUCTeX, by just visiting a .tex file and activating the
prettify-symbols-mode?

Thanks.